package com.YuyeTech.TPlat.service;

import com.YuyeTech.TPlat.dataobject.GamePicture;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author:slambb
 * @date:2020/6/24
 */
public interface GamePictureService {
    GamePicture addGamePicture(GamePicture gamePicture);

    void deleteGamePictureByGpId(Integer gpId);

    void deleteAllByTypeAndGameId(Integer type, String gameId);

    Page<GamePicture> findGamePictureByGameId(String gameId, Pageable pageable);

    GamePicture findByGameIdAndType(Integer type, String gameId);


    List<Integer> findGamePictureIDList(String gameId);
}
